BEGIN ~#IllyriP~

IF ~Global("IllyriaJoined","LOCALS",1)~ THEN BEGIN KickOut
SAY ~You want me to leave?.~
IF ~~ THEN REPLY ~Oh, I'm sorry, I didn't mean leave.. ~ DO ~JoinParty()~ EXIT
IF ~~ THEN REPLY ~That's right, I don't want you in the party.~ DO ~SetGlobal("IllyriaJoined","LOCALS",0)~ EXIT
END

IF ~Global("Illyria","LOCALS",0)~ THEN BEGIN Rejoin
SAY ~You want me to rejoin?~
IF ~~ THEN REPLY ~Of course I do - I shouldn't have kicked you out in the first place!.~ DO ~SetGlobal("IllyriaJoined","LOCALS",1)
JoinParty()~ EXIT
IF ~~ THEN REPLY ~That's right, I don't want you in the party.~ EXIT
END